Eclipse Platform Release 3.7

## org.eclipse.jface.text.templates
Class GlobalTemplateVariables.LineSelection

    java.lang.Object
      org.eclipse.jface.text.templates.TemplateVariableResolver
          org.eclipse.jface.text.templates.SimpleTemplateVariableResolver
              org.eclipse.jface.text.templates.GlobalTemplateVariables.LineSelection

Enclosing class:
  GlobalTemplateVariables

    public static class GlobalTemplateVariables.LineSelection

extends SimpleTemplateVariableResolver

The line selection variable determines templates that work on selected lines.

Field Summary
`static String` `NAME` Name of the line selection variable, value= "line_selection"

Constructor Summary
`GlobalTemplateVariables.LineSelection()` Creates a new line selection variable

Method Summary
`protected String` `resolve(TemplateContext context)` Returns an instance of the type resolved by the receiver available in `context`.

Methods inherited from class org.eclipse.jface.text.templates.SimpleTemplateVariableResolver
`isUnambiguous, setEvaluationString`

Methods inherited from class org.eclipse.jface.text.templates.TemplateVariableResolver
`getDescription, getType, resolve, resolveAll, setDescription, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAME

    public static final String NAME

  Name of the line selection variable, value= "line_selection"

  See Also:
    Constant Field Values

Constructor Detail

### GlobalTemplateVariables.LineSelection

    public GlobalTemplateVariables.LineSelection()

  Creates a new line selection variable

Method Detail

### resolve

    protected String resolve(TemplateContext context)

  Description copied from class: `TemplateVariableResolver`
  Returns an instance of the type resolved by the receiver available in `context`. To resolve means to provide a binding to a concrete text object (a `String`) in the given context.

  The default implementation looks up the type in the context.

  Overrides:
    `resolve` in class `SimpleTemplateVariableResolver`
  Parameters:
    `context` - the context in which to resolve the type
  Returns:
    the name of the text object of this type, or `null` if it cannot be determined

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.